{
    "compilerOptions": {
        "target": "es2015",
        "module": "es2020",
        "moduleResolution": "node",
        "baseUrl": "./",
        "strict": true,                 // Enable strict type-checking options
        "skipLibCheck": true,           // Skip type checking of declaration files
        "noImplicitAny": false,
        // Bypass raising errors on `any` type
        "jsx": "react",
        "lib": [
            "es2019",
            "dom",
            "dom.iterable" // for FormData.entries
        ]
    },
    "include": ["resources/js/**/*"]  // Frontend paths pattern
}
